/*
 * Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { BreadcrumbsService } from '@bci-web-core/core';

@Component({
  selector: 'bci-dummy',
  templateUrl: './dummy.component.html',
  styleUrls: ['./dummy.component.scss'],
})
export class DummyComponent {
  constructor(private breadcrumbsService: BreadcrumbsService, private route: ActivatedRoute) {
    // TODO: make this automatic
    breadcrumbsService.setTemporaryTitleForRoute(route.snapshot.parent, 'Unlinked Level 1');
  }
}
