/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';
import { LinkOptions } from '@bci-web-core/core';

@Component({
  selector: 'bci-faq',
  templateUrl: 'faq.component.html',
  styleUrls: ['faq.component.scss'],
})
export class FaqComponent {

  inlineLinkOptions: LinkOptions = {
    url: 'https://inside-docupedia.bosch.com/confluence/x/5a_yLQ ',
    type: 'inline'
  }
}
