/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import {Component, Inject} from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';

@Component({
  selector: 'bci-duration-picker-modal-example',
  templateUrl: './bci-duration-picker-modal-example.component.html',
  styleUrls: ['./bci-duration-picker-modal-example.component.scss'],
})

export class BciDurationPickerModalExampleComponent{
  
  constructor(private _matDialogRef: MatDialogRef<BciDurationPickerModalExampleComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any) {
  }

  public closeDialog() {
    this._matDialogRef.close();
  }
}

