/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';
import { ScrollIntoViewService } from '../../shared/scroll-into-view.service';

@Component({
  selector: 'bci-slider-demo',
  templateUrl: 'slider-demo.html',
  styleUrls: ['slider-demo.scss'],
})
export class SliderDemoComponent {
  demo: number;
  val = 50;
  min = 0;
  max = 100;
  disabledValue = 42;
  disabled = false;
  default = 0;

  
  constructor(public scrollIntoViewService: ScrollIntoViewService) { }
  
  formatLabel(value: number): string {
    return `${value}%`;
  }
}
