/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';

@Component({
  selector: 'bci-stepper-dialog',
  templateUrl: './stepper-dialog.component.html',
  styleUrls: ['./stepper-dialog.component.scss'],
})
export class StepperDialogComponent {
  constructor(
    private _matDialogRef: MatDialogRef<StepperDialogComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any
  ) {}
  public closeDialog() {
    this._matDialogRef.close();
  }
}