/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Routes } from '@angular/router';

import { FoggyTabContentComponent, RainyTabContentComponent, SunnyTabContentComponent } from './tab-demo';

export const TABS_DEMO_ROUTES: Routes = [
  {path: '', redirectTo: 'sunny-tab', pathMatch: 'full'},
  {path: 'sunny-tab', component: SunnyTabContentComponent},
  {path: 'rainy-tab', component: RainyTabContentComponent},
  {path: 'foggy-tab', component: FoggyTabContentComponent},
];
