/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';
import { LinkOptions } from '@bci-web-core/core';

@Component({
  moduleId: module.id,
  selector: 'bci-typography-demo',
  templateUrl: 'typography-demo.html',
  styleUrls: ['typography-demo.scss'],
})
export class TypographyDemoComponent {
  inlineLinkOptions: LinkOptions = {
    url: 'https://brandguide.bosch.com/document/219/en#/basics/font-and-typography-1681985419',
    type: 'inline'
  }
}
