/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { NgModule } from '@angular/core';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { BciSharedModule } from '@bci-web-core/core';
import { CalloutDemoComponent } from './callout-demo.component';

@NgModule({
  imports: [BciSharedModule, MatSlideToggleModule],
  declarations: [CalloutDemoComponent],
  exports: [CalloutDemoComponent],
})
export class CalloutDemoModule {}
