/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';

@Component({
  selector: 'bci-modal-window-demo-modal',
  templateUrl: './modal-window-demo-modal.component.html',
  styleUrls: ['./modal-window-demo-modal.component.scss'],
})
export class ModalWindowDemoModalComponent {

  constructor(
    private _matDialogRef: MatDialogRef<ModalWindowDemoModalComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any
  ) {}


  public closeDialog() {
    this._matDialogRef.close();
  }
}
