/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';

const ELEMENT_DATA: {packageName: string, version: string}[] = [
  {packageName: 'CommonStyles', version: '7.0.0'},
  {packageName: 'Web Components', version: '10.0.0'},
  {packageName: 'Material Theme', version: '17.0.0'},
  {packageName: 'Web Core, Auth, Charts, Maps, Pinboard, Pinboard-Widgets', version: '17.0.2'},
  {packageName: 'Web Core Schematics', version: '16.0.0'},
  {packageName: 'Bosch Icon Font', version: '2.9'}
];

@Component({
  selector: 'bci-overview-demo',
  templateUrl: './overview.component.html',
  styleUrls: ['./overview.component.scss'],
})
export class OverviewComponent {
  displayedColumns: string[] = ['packageName', 'version'];
  dataSource = ELEMENT_DATA;
}
