/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ResourceSet } from '../../models/authorization.model';
import { JwtToken } from '../../models/jwt-token.model';

export class User {
  public username: string;
  public roles?: string[];
  public token?: JwtToken;
  public resourceSets?: ResourceSet[];
}
