/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Injectable } from '@angular/core';

@Injectable()
export class BciImprintIntl {
  /* A title for imprint dialog */
  title = 'Imprint';

  /* Alternative label for Bosch logo */
  boschLogoAlt = 'Bosch Invented For Life Logo';

  /* A label for the application name */
  name = 'Name';

  /* A label for the application version */
  version = 'Version';

  /* A label for the company name and address section */
  nameAndAddress = 'Name and address';

  /* A label for the contact section */
  contact = 'Contact';

  /* A label for the board of management section */
  board = 'Board of management';
}

export const BCI_IMPRINT_INTL_PROVIDER = {
  provide: BciImprintIntl,
  useClass: BciImprintIntl,
};
