/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Injectable } from '@angular/core';

@Injectable()
export class BciMessagesIntl {
  /* A title for messages dialog */
  title = 'Messages';

  /* A placeholder for type filter */
  typeFilter = 'Filter Type';

  /* Message type */
  information = 'Information';

  /* Message type */
  success = 'Success';

  /* Message type */
  warning = 'Warning';

  /* Message type */
  error = 'Error';

  /* A label for delete button */
  delete = 'Delete';

  /* A tooltip for deleting selected messages */
  deleteSelected = 'Delete selected messages';

  /* A tooltip for deleting all messages */
  deleteAll = 'Delete all messages';

  /* A column label for date */
  date = 'Date';

  /* A column label for type */
  type = 'Type';

  /* A column label for message */
  message = 'Message';

  /* A column label for go to link */
  goTo = 'Go to';

  /* A placeholder if no messages existing */
  noData = 'No data available.';
}

export const BCI_MESSAGES_INTL_PROVIDER = {
  provide: BciMessagesIntl,
  useClass: BciMessagesIntl,
};
