/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

/** Responsibility of a drag/drop list. */
export type BciCorePicklistResponsibility = 'source' | 'target';

/** Allowed picklist modes. */
export type BciCorePicklistMode = 'copy' | 'move';

export type BciCorePicklistSorting = 'asc' | 'desc' | 'none';

/** Custom compare function. */
export type BciCorePicklistCompare = (a: any, b: any) => number; // TODO Restore: export type BciCorePicklistCompareFn = (a: any, b: any) => number;

/** Filter predicate that filters items based on a string entered by the user. */
export type BciCorePicklistStringFilter = (item: any, filter: string) => boolean; // TODO Restore: Delete

/** Filter predicate that filters items based on a custom filter method. */
export type BciCorePicklistFilter = (item: any) => boolean; // TODO Restore: export type BciCorePicklistFilterFn = (item: any) => boolean;
