/*
 * Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { RouterModule } from '@angular/router';
import { BciMatTabGroupComponent } from './bci-mat-tab-group.component';

@NgModule({
  imports: [CommonModule, RouterModule, MatIconModule],
  declarations: [BciMatTabGroupComponent],
  exports: [BciMatTabGroupComponent],
})
export class BciMatTabGroupModule {}
