/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component, HostBinding, Input } from '@angular/core';

@Component({
  selector: 'bci-content-sidebar-item',
  templateUrl: './content-sidebar-item.component.html',
  styleUrls: ['./content-sidebar-item.component.scss'],
})
export class ContentSidebarItemComponent {
  @Input() title: string;
  @HostBinding('class.fixed-flex-item')
  @Input()
  fixed = false;
}
