/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

/** Responsibility of a drag/drop list. */
export type BciPicklistResponsibility = 'source' | 'target';

/** Allowed picklist modes. */
export type BciPicklistPicklistMode = 'copy' | 'move';

/** Custom compare function. */
export type BciPicklistCompare = (a: any, b: any) => number; // TODO Restore: export type BciPicklistCompareFn = (a: any, b: any) => number;

/** Filter predicate that filters items based on a string entered by the user. */
export type BciPicklistStringFilter = (item: any, filter: string) => boolean; // TODO Restore: Delete

/** Filter predicate that filters items based on a custom filter method. */
export type BciPicklistFilter = (item: any) => boolean; // TODO Restore: export type BciPicklistFilterFn = (item: any) => boolean;
