/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component, HostBinding, Input } from '@angular/core';

@Component({
  selector: 'bci-side-panel-item',
  templateUrl: './side-panel-item.component.html',
  styleUrls: ['./side-panel-item.component.scss'],
})
export class SidePanelItemComponent {
  @Input() title: string;
  @HostBinding('class.fixed-flex-item')
  @Input()
  fixed = false;
}
