/*
 * Copyright (C) 2021 Robert Bosch GmbH Copyright (C) 2021 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import {Injectable} from "@angular/core";

@Injectable()
export class BciDurationPickerIntl {
  /**
   * Duration label
   */
  durationLabel?: string = 'Duration';

  /**
   * The close button from duration picker dropdown
   */
  close?: string = 'Close';

  /**
   * Error message when duration type is not matching with input value
   */
  durationTypeErrorMessage?: string = 'Incorrect input format. Changes not saved.';
}

export const BCI_DURATION_PICKER_INTL_PROVIDER = {
  provide: BciDurationPickerIntl,
  useClass: BciDurationPickerIntl
}
