/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

export interface Duration {
  days?: number;
  hours?: number;
  minutes?: number;
  seconds?: number;
}

export interface MaxNumberOfDurations {
  maxDays: number | undefined;
  maxHours: number | undefined;
  maxMinutes: number | undefined;
  maxSeconds: number | undefined;
}

export enum DurationType {
  'ddd.HH:MM:SS',
  'ddd.HH:MM',
  'HH:MM:SS',
  'ddd.HH',
  'HH:MM',
  'MM:SS',
  'ddd',
  'HH',
  'MM',
  'SS'
}

export interface DurationPickerTypeStructure {
  days: boolean;
  hours: boolean;
  minutes: boolean;
  seconds: boolean;
}
