/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { OpenLayersMapComponent } from './open-layers-map/open-layers-map.component';
import { OpenLayersMapToolbarComponent } from './open-layers-map/toolbar/open-layers-map-toolbar.component';
import { OpenLayersOverlayComponent } from './open-layers-overlay/open-layers-overlay.component';
import './openlayer-selection-handling.fix';

@NgModule({
  imports: [CommonModule, MatIconModule],
  declarations: [OpenLayersMapComponent, OpenLayersOverlayComponent, OpenLayersMapToolbarComponent],
  exports: [OpenLayersMapComponent, OpenLayersOverlayComponent, OpenLayersMapToolbarComponent],
})
export class GenericMapsModule {}
