/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Type } from '@angular/core';
// import {HighchartsContentComponent, HighchartsWidgetSetting} from '../widget/content/highcharts-content/highcharts-content.component';
// import {ChartjsContentComponent, ChartjsWidgetSetting} from '../widget/content/chartjs-content/chartjs-content.component';
// import * as Chart from 'chart.js';
// import {TextContentComponent, TextWidgetUserSetting} from '../widget/content/text-content/text-content.component';
import { WidgetContentComponent } from './widget-content-component';

/**
 * Typedefinitions for the user settings
 */

/**
 * Typedefinitions for the widget settings
 */

export interface WidgetType {
  widgetType: string;
  contentComponentType: Type<WidgetContentComponent>;
  widgetUserSettingType?: any;
  widgetSettingType?: any;
  customSettingFormType?: any;
}

export const WidgetTypes: WidgetType[] = [
  // {
  //   widgetType: 'HighchartsWidget',
  //   contentComponentType: HighchartsContentComponent,
  //   widgetSettingType: HighchartsWidgetSetting
  // },
  // {
  //   widgetType: 'ChartjsWidget',
  //   contentComponentType: ChartjsContentComponent,
  //   widgetSettingType: ChartjsWidgetSetting
  // },
  // {
  //   widgetType: 'TextWidget',
  //   contentComponentType: TextContentComponent,
  //   widgetUserSettingType: TextWidgetUserSetting,
  // }
];
