/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';
import { WidgetContentComponent } from '../models/widget-content-component';
import { WidgetDefinition } from '../models/widget-definition';

@Injectable({ providedIn: 'root' })
export class WidgetCatalogService {
  /**
   * Event triggered when the user wants to add a  widget to the dashboard;
   */
  widgetAdded = new Subject<WidgetDefinition<WidgetContentComponent, any, any>[]>();
}
