/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';
import { NotificationService } from '@bci-web-core/core';
import { ScrollIntoViewService } from '../../shared/scroll-into-view.service';

@Component({
  selector: 'bci-chip-demo',
  templateUrl: './chips-demo.component.html',
  styleUrls: ['./chips-demo.component.scss'],
})
export class ChipsDemoComponent {
  constructor(private notificationService: NotificationService, public scrollIntoViewService: ScrollIntoViewService) {}

  chipRemoved() {
    this.notificationService.success('Tag has been deleted.');
  }
}
