/*
 * Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';

@Component({
  selector: 'bci-gauge-demo',
  templateUrl: './gauge-demo.component.html',
  styleUrls: ['./gauge-demo.component.scss'],
})
export class GaugeDemoComponent {
  currentValue = 89.8;
  minValue = -10;
  maxValue = 120;
  lowThreshold = 65.3;
  highThreshold = 87.8;
  targetValue = 95.2;
  invertedTargetValue = 50;
  unit = '°C';
}
