/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { BciPicklistIntl } from '@bci-web-core/core';
import { Injectable } from '@angular/core';

@Injectable()
export class PicklistIntlDemo extends BciPicklistIntl {
  updateIntl(): void {
    this.addSelection = 'Add selected fruits';
    this.removeSelection = 'Remove selected fruits from fruit salad';
    this.addAll = 'Add all fruits';
    this.removeAll = 'Remove all fruits from fruit salad';
    this.selectAll = 'Select all fruits';
    // optional: this.deselectAll = 'Deselect all fruits';
    this.dropPlaceholder = 'Drop your preferred fruits here';
    this.sourceFilterPlaceholder = 'Search available fruits';
    this.targetFilterPlaceholder = 'Search fruits of your fruit salad';

    this.changes.next();
  }
}
