/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';
import { LinkOptions } from '@bci-web-core/core';

@Component({
  selector: 'bci-empty-state-demo',
  templateUrl: 'empty-state-demo.html',
  styleUrls: ['empty-state-demo.scss'],
})
export class EmptyStateDemoComponent {
  brandguideLink: LinkOptions = {
    url: 'https://brandguide.bosch.com/document/118#/design-patterns/empty-states'
  }
  tableLink: LinkOptions = {
    url: 'https://atmo1opcondemo.de.bosch.com/WebCore/demos/core/data-table-demo/table-demo'
  }
}
