/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';

@Component({
  selector: 'bci-fullscreen-demo',
  templateUrl: './fullscreen-demo.component.html',
  styleUrls: ['./fullscreen-demo.component.scss'],
})
export class FullscreenDemoComponent {
  public browserFullscreen = false;
  public contentFullscreen = false;
  public maxParentElementSize = false;

  onChange($event): void {
    this.browserFullscreen = $event.value;
  }
}
