/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';

@Component({
  selector: 'bci-menu-demo',
  templateUrl: 'menu-demo.html',
  styleUrls: ['menu-demo.scss'],
})
export class MenuDemoComponent {
  selected = '';
  otToggle = false;
  items = [{ text: 'Refresh' }, { text: 'Settings' }, { text: 'Help', disabled: true }, { text: 'Sign Out' }];

  iconItems = [
    { text: 'Smartphone', icon: 'bosch-ic-smartphone' },
    { text: 'Retro smartphone', icon: 'bosch-ic-smartphone-retro' },
    { text: 'Smartphone disabled', icon: 'bosch-ic-smartphone-disabled-bold', disabled: true },
    { text: 'Smartphone vibration', icon: 'bosch-ic-smartphone-vibration' },
  ];

  select(text: string) {
    this.selected = text;
  }
}
