/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Injectable } from '@angular/core';
import { BciAlertDialogIntl } from '@bci-web-core/core';
import { Subject } from 'rxjs';

@Injectable()
export class CustomBciAlertDialogIntl extends BciAlertDialogIntl{
  
  /** Additional title for alert dialogs and alert typ Info */
  info = 'Info';

  /** Additional title for alert dialogs and alert typ Success */
  success = 'Success';

  /** Additional title for alert dialogs and alert typ Warning */
  warning = 'Warning';

  /** Additional title for alert dialogs and alert typ Error */
  error = 'Error';

  /** Use this to notify the component on labels that have changed since initialization. */
  readonly changes = new Subject();
}
