/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';

@Component({
  selector: 'bci-callout-demo',
  templateUrl: './callout-demo.component.html',
})
export class CalloutDemoComponent {
  isClosed = true;
  isIconVisible = true;
  calloutText =
    'Press the close button on the right to close me or use the link to navigate to the <a routerLink="/customComponents/callout">callout demo page</a>';

  onClosed(): void {
    this.isClosed = true;
  }

  openCallout(): void {
    this.isClosed = false;
  }
}
