/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { BciSharedModule, BreadcrumbsModule } from '@bci-web-core/core';
import { BreadcrumbsDemoSubcomponentComponent } from './breadcrumbs-demo-subcomponent/breadcrumbs-demo-subcomponent.component';
import { BreadcrumbsDemoComponent } from './breadcrumbs-demo.component';

@NgModule({
  imports: [BciSharedModule, CommonModule, RouterModule, BreadcrumbsModule],
  declarations: [BreadcrumbsDemoComponent, BreadcrumbsDemoSubcomponentComponent],
})
export class BreadcrumbsDemoModule {}
