/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

export { IAuthModuleOptions, IAuthModuleConfig, DefaultAuthModuleConfig } from './auth.options';
export { AUTH_OPTIONS } from './auth-options.token';
export { AuthGuard } from './auth.guard';
export { AuthInterceptor } from './auth.interceptor';

export { AuthenticationService } from './services/authentication.service';
export { AuthorizationService } from './services/authorization.service';

export { AccessControlAuthResponse } from './models/access-control-auth-response.model';
export { JwtToken } from './models/jwt-token.model';
export { ResourceSet, Permission } from './models/authorization.model';
export { PRIVILEGE } from './models/privileges.model';

export * from './macma-module/index';
export * from './access-control-module/index';
