/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
/**
 * This is a general interface for authorization.
 * If your implementation does not need some of the attributes
 * just leave them empty, don't remove it.
 */
export interface ResourceSet {
  ResourceId: string;
  Permissions: Permission[];
  TenantId?: string;
  ApplicationId?: string;
  ResourceType?: string;
}

export interface Permission {
  RoleId: string;
  RoleName: string;
  PrivilegesGranted: number;
}
