/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

export class JwtToken {
  header: {
    alg: string;
    typ: string;
  };
  payload: {
    aud: string;
    exp: number;
    iss: string;
    jti: string;
    nbf: number;
    rid: string[];
    role: string[];
    sub: string;
    tid: string;
    unique_name: string;
  };
}
