/*
 * Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CircularGaugeComponent } from './circular-gauge';
import { ChartjsChartComponent } from './chartjs-chart';

@NgModule({
  imports: [CommonModule],
  declarations: [CircularGaugeComponent, ChartjsChartComponent],
  exports: [CircularGaugeComponent, ChartjsChartComponent],
})
export class BciChartsModule {}
