/*
 * Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { RouterModule } from '@angular/router';
import { BciLinkComponent } from '.';

@NgModule({
  imports: [CommonModule, RouterModule, MatIconModule],
  declarations: [BciLinkComponent],
  exports: [BciLinkComponent],
})
export class BciLinkModule {}
