/**
 * Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
import { Component, Input } from '@angular/core';

@Component({
    selector: 'bci-mat-tab-group',
    templateUrl: './bci-mat-tab-group.component.html',
    styleUrls: ['./bci-mat-tab-group.component.scss'],
})
export class BciMatTabGroupComponent {
    /** url to navigate on click of Back button in Tab Navigation */
    @Input() backButtonUrl: string;

    /** boolean to show or hide back button */
    @Input() isBackButtonVisible: boolean;
}