/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MatListModule } from '@angular/material/list';
import { ColumnBrowserComponent } from './column-browser.component';
import { ColumnDirective } from './column.directive';
import { ColumnItemDirective } from './column-item.directive';

@NgModule({
  imports: [CommonModule, MatListModule],
  declarations: [ColumnBrowserComponent, ColumnDirective, ColumnItemDirective],
  exports: [ColumnBrowserComponent],
})
export class ColumnBrowserModule {}
