/*
 * Copyright (C) 2021 Robert Bosch GmbH Copyright (C) 2021 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

/** Model used for column selector dialog to send available options. */
export interface ColumnSelectorDialogModel {
  dialogScreenWidth?: string;
  columns: ColumnSelectorItem[];
}

/** Model used to define a column selector item. */
export interface ColumnSelectorItem {
  label: string;
  visible: boolean;
}
