/*
 * Copyright (C) 2021 Robert Bosch GmbH Copyright (C) 2021 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatDialogModule } from '@angular/material/dialog';
import { MatIconModule } from '@angular/material/icon';
import { PicklistModule } from '../picklist/picklist.module';
import { BciSharedModule } from '../shared.module';
import { ColumnSelectorComponent } from './column-selector.component';

@NgModule({
  imports: [CommonModule, BciSharedModule, MatIconModule, MatDialogModule, PicklistModule],
  declarations: [ColumnSelectorComponent],
  exports: [ColumnSelectorComponent],
})
export class ColumnSelectorModule {}
