/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { PinboardModule } from '@bci-web-core/pinboard';
import { ChartjsContentComponent } from './chartjs-content/chartjs-content.component';
import { ContentPlaceholderComponent } from './content-placeholder/content-placeholder.component';
import { TextContentComponent } from './text-content/text-content.component';

@NgModule({
  declarations: [ChartjsContentComponent, TextContentComponent, ContentPlaceholderComponent],
  imports: [CommonModule, PinboardModule],
  exports: [ChartjsContentComponent, TextContentComponent, ContentPlaceholderComponent],
  providers: [],
})
export class PinboardWidgetsModule {}
