/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

/**
 * Can be a WidgetCatalog or UserSetting Category
 */
export interface Category {
  /**
   * Unique identifier
   */
  id: string;
  /**
   * Title which will be displayed
   */
  title: string;
  /**
   * Description which will be displayed
   */
  description: string;
  /**
   * Shows/Hides the category
   */
  visible: boolean;
}
