/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

/**
 * Defines the InputType in the WidgetSettings Form
 */
export enum InputType {
  /**
   * Material TextBox
   */
  TextBox = 'text',
  /**
   * Material SelectBox
   */
  SelectBox = 'select',
  /**
   * Material CheckBox
   */
  CheckBox = 'checkbox',
  /**
   * Material ToggleSlide
   */
  ToggleSlider = 'toggleSlide',
  /**
   * User cannot change Input/ Won't be displayed
   */
  None = 'none',
}
