/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

/**
 * Custom widget size options need to be defined in this format
 */
export class WidgetSizeOption {
  /**
   * Text for the widget size option to be displayed in the menu
   */
  label: string;
  /**
   * Size option for the widget, for example [1,1]
   */
  sizeArray: number[];
}
