/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Injectable } from '@angular/core';

@Injectable({ providedIn: 'root' })
export class PinboardI18nService {
  // Labels
  dashboard = 'Dashboard';
  dashboardSettings = 'Dashboard settings';
  dashboardTitle = 'Dashboard title';

  general = 'General';
  generalDescription = 'Title';
  title = 'Title';
  showWidgetTitle = 'Show widget ';
  width = 'Width';
  height = 'Height';
  size = 'Size';
  custom = 'Custom';
  save = 'Save';
  cancel = 'Cancel';
  edit = 'Edit';
  delete = 'Delete';
  filter = 'Filter';
  showMore = 'More';
  folderUp = 'Folder Up';
  filterWidgets = 'Filter widgets';
  searchTerm = 'Search term';
  category = 'Category';
  addWidget = 'Add widget';
  addNewWidgets = 'Add new widgets';
  addWidgetNote =
    'Choose data type: Select the type of data you want to have displayed and analysed inside the dashboard.';
  allWidgets = 'All widgets';
  configureWidget = 'Configure widget';
  deleteWidget = 'Delete widget';
  respondToFilter = 'Respond to filter';
  dontRespondToFilter = 'Do not respond to filter';
  emptyDashboard = `There are no entries. To add widgets, click the edit icon.`;
  emptyCatalog = `No results found for this search criteria.`;
  requiredField = '(*) Mandatory field';
  deleteConfirmTitle = 'Remove Widget';
  deleteConfirmDescription = 'Are you sure to delete this Widget?';
  widgetEditConfigurationTitle = 'Edit widget configuration';
  widgetEditConfigurationDesc = 'Fields marked with an asterisk (*) are mandatory.';
  doNotSave = "Don't Save";
  leavingApiDescription = "If you don't save, your changes will be lost.";
  leavingApiTitle = 'Save changes on ';
}
